function init(hero) {
    hero.setName("raimi Green Goblin Classic");
    hero.setTier(6);
    
    hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("Feet");

    hero.addAbilities( "fiskheroes:utility_belt", "fiskheroes:propelled_flight", "fiskheroes:healing_factor", "fiskheroes:cellular_regeneration", "fiskheroes:cold_resistance", "fiskheroes:fire_immunity", "fiskheroes:enhanced_reflexes", "fiskheroes:superhuman_durability", "fiskheroes:explosion_immunity");
    hero.addWeaknesses("fiskheroes:metal_skin");
    hero.addAttribute("ATTACK_DAMAGE", 2.35, 1);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 13.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.3, 1);
    hero.addAttribute("SWORD_DAMAGE", 1.65, 1);

    hero.addKeyBind("UTILITY_SWITCH", "key.utilitySwitch", 1);
    hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 2);

    hero.setModifierEnabled(isModifierEnabled);
    hero.supplyFunction("canAim", canAim);
}

function isModifierEnabled(entity, modifier) {
 	 switch (modifier) {
    case "fiskheroes:propelled_flight":
        return entity.getHeldItem().name() == "fiskheroes:vibranium_disc";
    case "fiskheroes:absolute_intangibility":
        return entity.getData("fiskheroes:jetpacking");
    case "fiskheroes:energy_projection":
        return entity.getData("fiskheroes:aiming");
	default:
		return true;
	}
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty() && !entity.getData("fiskheroes:jetpacking");
}